=== src/plugins/balsa/CMakeLists.txt ===
--- 
+++ 
@@ -22,13 +22,13 @@
 set_target_properties(balsaimporterplugin PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/importwizard/")
 
 target_link_libraries(balsaimporterplugin
-    KPim::ImportWizard
-    KF5::XmlGui
-    KF5::I18n
-    KF5::Contacts
-    KF5::MailImporterAkonadi
-    KF5::MailTransport
-    KF5::MailCommon
-    KF5::IdentityManagement
-    KF5::MessageViewer
+    KPim${KF_MAJOR_VERSION}::ImportWizard
+    KF${KF_MAJOR_VERSION}::XmlGui
+    KF${KF_MAJOR_VERSION}::I18n
+    KF${KF_MAJOR_VERSION}::Contacts
+    KPim${KF_MAJOR_VERSION}::MailImporterAkonadi
+    KPim${KF_MAJOR_VERSION}::MailTransport
+    KPim${KF_MAJOR_VERSION}::MailCommon
+    KPim${KF_MAJOR_VERSION}::IdentityManagement
+    KPim${KF_MAJOR_VERSION}::MessageViewer
     )
