=== src/plugins/sylpheed/CMakeLists.txt ===
--- 
+++ 
@@ -22,12 +22,12 @@
 endif()
 
 target_link_libraries(sylpheedimporterplugin
-    KPim::ImportWizard
-    KF5::XmlGui
-    KF5::I18n
-    KF5::Contacts
-    KF5::MailImporterAkonadi
-    KF5::MailTransport
-    KF5::IdentityManagement
-    KF5::MailCommon
+    KPim${KF_MAJOR_VERSION}::ImportWizard
+    KF${KF_MAJOR_VERSION}::XmlGui
+    KF${KF_MAJOR_VERSION}::I18n
+    KF${KF_MAJOR_VERSION}::Contacts
+    KPim${KF_MAJOR_VERSION}::MailImporterAkonadi
+    KPim${KF_MAJOR_VERSION}::MailTransport
+    KPim${KF_MAJOR_VERSION}::IdentityManagement
+    KPim${KF_MAJOR_VERSION}::MailCommon
     )
