=== debian/control ===
--- 
+++ 
@@ -12,26 +12,26 @@
 Build-Depends: cmake (>= 3.1~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.39.0~),
-               libkf5akonadi-dev (>= 4:23.08.1~),
+               libkf5akonadi-dev (>= 4:23.08.5~),
                libkf5auth-dev (>= 5.39.0~),
                libkf5config-dev (>= 5.39.0~),
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5crash-dev (>= 5.39.0~),
                libkf5dbusaddons-dev (>= 5.39.0~),
                libkf5doctools-dev (>= 5.39.0~),
-               libkf5grantleetheme-dev (>= 23.08.1~),
-               libkf5identitymanagement-dev (>= 23.08.1~),
+               libkf5grantleetheme-dev (>= 23.08.5~),
+               libkf5identitymanagement-dev (>= 23.08.5~),
                libkf5kio-dev (>= 5.39.0~),
-               libkf5libkdepim-dev (>= 4:23.08.1~),
-               libkf5mailcommon-dev (>= 4:23.08.1~),
-               libkf5mailimporter-dev (>= 4:23.08.1~),
-               libkf5mailtransport-dev (>= 23.08.1~),
-               libkf5messageviewer-dev (>= 4:23.08.1~),
-               libkf5pimcommon-dev (>= 4:23.08.1~),
-               libkf5templateparser-dev (>= 4:23.08.1~),
+               libkf5libkdepim-dev (>= 4:23.08.5~),
+               libkf5mailcommon-dev (>= 4:23.08.5~),
+               libkf5mailimporter-dev (>= 4:23.08.5~),
+               libkf5mailtransport-dev (>= 23.08.5~),
+               libkf5messageviewer-dev (>= 4:23.08.5~),
+               libkf5pimcommon-dev (>= 4:23.08.5~),
+               libkf5templateparser-dev (>= 4:23.08.5~),
                libkf5textaddons-dev,
                libkf5wallet-dev (>= 5.39.0~),
-               libkf5webengineviewer-dev (>= 4:23.08.1~),
+               libkf5webengineviewer-dev (>= 4:23.08.5~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qt5keychain-dev,
@@ -63,7 +63,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5mailtransport-dev (>= 23.08.1~),
+Depends: libkf5mailtransport-dev (>= 23.08.5~),
          libkpim5importwizard5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
